al_remove_menu_item(3)

NAME

al_remove_menu_item - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_native_dialog.h>
    bool al_remove_menu_item(ALLEGRO_MENU *menu, int pos)

DESCRIPTION

Removes the specified item from the menu and destroys it. If the item contains a sub-menu, it too is destroyed. Any references to it are invalidated. If you want to preserve that sub-menu, you should first make a copy with al_clone_menu(3).

This is safe to call on a menu that is currently being displayed.

Returns true if an item was removed.

SINCE

5.1.0

SEE ALSO

al_append_menu_item(3), al_insert_menu_item(3), al_destroy_menu(3)